<?php  

/*******************************************************************************************/
/*
/*		Web: http://www.asdesigning.com
/*		Email: info@asdesigning.com
/*
/*		License: GNU/GPL
/*
/*******************************************************************************************/

defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<form action="<?php echo JRoute::_( 'index.php', true, $this->params->get('usesecure')); ?>" method="post" name="login" id="login" class="login_form<?php echo $this->params->get( 'pageclass_sfx' ); ?>">

<?php if ( $this->params->get( 'show_login_title' ) ) : ?>
	<?php if (strlen($this->params->get( 'header_login' ))):
			echo '<h2>' . $this->params->get( 'header_login' ) . '</h2>';	/* May be disabled in Admin menu item section */
	endif; ?>	
<?php endif; ?>

<div class="contentpane">
	<?php if ( $this->params->get( 'description_login' ) || isset( $this->image ) ) : ?>
		<div class="contentdescription<?php echo $this->params->get( 'pageclass_sfx' );?>">
			<?php if (isset ($this->image)) :
				echo $this->image;
			endif;
			if ($this->params->get('description_login')) : ?>
			<p>
				<?php echo $this->params->get('description_login_text'); ?>
			</p>
			<?php endif;
			if (isset ($this->image)) : ?>
			<div class="wrap_image">&nbsp;</div>
			<?php endif; ?>
		</div>
	<?php endif; ?>
	<fieldset>
		<div class="clear">
			<label for="user" ><?php echo JText::_( 'Username' ); ?>:</label>
			<input name="username" type="text" class="inputbox" size="30"  id="user" />
		</div>
		<div class="clear">
			<label for="pass" ><?php echo JText::_( 'Password' ); ?>:</label>
			<input name="passwd" type="password" class="inputbox" size="30" id="pass" />
		</div>
		<div class="clear">
			<label for="rem"><?php echo JText::_( 'Remember me' ); ?>:</label>
			<input type="checkbox" name="remember" class="inputbox" value="yes" id="rem" />
		</div>
	</fieldset>
	
	<div class="separator"></div>
	<ul>
		<li>
			<a href="<?php echo JRoute::_( 'index.php?option=com_user&view=reset' ); ?>">
			<?php echo JText::_('FORGOT_YOUR_PASSWORD'); ?></a>
		</li>
		<li>
			<a href="<?php echo JRoute::_( 'index.php?option=com_user&view=remind' ); ?>">
			<?php echo JText::_('FORGOT_YOUR_USERNAME'); ?></a>
		</li>
		<?php
		$usersConfig = &JComponentHelper::getParams( 'com_users' );
		if ($usersConfig->get('allowUserRegistration')) : ?>
		<li>
			<a href="<?php echo JRoute::_( 'index.php?option=com_user&view=register' ); ?>">
				<?php echo JText::_('REGISTER'); ?></a>
		</li>
		<?php endif; ?>
	</ul>
	
	<div class="clear left ">
		<div class="separator"></div>
		<input type="submit" name="submit" class="button" value="<?php echo JText::_( 'Login' ); ?>" />
	</div>
	<div class="clear"></div>

	<noscript><?php echo JText::_( 'WARNJAVASCRIPT' ); ?></noscript>
	<input type="hidden" name="option" value="com_user" />
	<input type="hidden" name="task" value="login" />
	<input type="hidden" name="return" value="<?php echo $this->return; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
	
</div>
</form>
