<?php 

/*******************************************************************************************/
/*
/*		This template/design is released under the Creative Commons Attribution 3.0 license. 
/*		This means that it can be used for private and commercial purposes, edited freely 
/*		or redistributed as long as you keep the link back to AS Designing. 
/*
/*		Designed by 'AS Designing'
/*		Web: http://www.asdesigning.com
/*		Email: info@asdesigning.com
/*
/*******************************************************************************************/

	defined( '_JEXEC' ) or die( 'Restricted access' );

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"  xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >

<head>
	<jdoc:include type="head" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/joomla.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/slideshow.css" type="text/css" media="all" />
	
	<script type="text/javascript" src="templates/<?php echo $this->template ?>/scripts/general.js"></script>
	<script type="text/javascript" src="templates/<?php echo $this->template ?>/scripts/jquery.js"></script>
	<script type="text/javascript" src="templates/<?php echo $this->template ?>/scripts/fading.js"></script>

<?php 

//setting slide fading
$speed= $this->params->get("speed", "900");
$autoplay= $this->params->get("autoplay", "5000");

// IE6 warning
include 'ie6warning.php';

?>
</head>

<body>

    <!-- HEADER ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <div id="header">
        <div id="headercontent">
            <div id="headercolleft">
                <div id="companyname">
					<a href="<?php echo $this->baseurl ?>"> 
						<?php //echo $mainframe->getCfg('sitename') ;?>
						<img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/companyname.png" alt="AS Templates"/> 
					</a> 						
                </div>
                <div id="mainmenu">
                    <jdoc:include type="modules" name="user3" style="xhtml"/>
                </div>
				<?php if($this->countModules('user4')) : ?>
				<div id="search"><jdoc:include type="modules" name="user4" /></div>
				<?php endif; ?>	
            </div>
            <div id="headercolright">
				<div id="slideshow">
					<div id="fading">
						<ul>
							<li><img src="templates/<?php echo $this->template ?>/images/slide1.jpg" height="350" alt="" /></li>
							<li><img src="templates/<?php echo $this->template ?>/images/slide2.jpg" height="350" alt="" /></li>
							<li><img src="templates/<?php echo $this->template ?>/images/slide3.jpg" height="350" alt="" /></li>
						</ul>
					</div>
				</div>
				<script type="text/javascript">
					 var $j = jQuery.noConflict(); 
						 $j(function(){
						 $j("#fading").faded({
								speed:<?php echo $speed ?>,// 900,
								crossfade: true,
								autopagination: false,
								autoplay: <?php echo $autoplay ?>,//default 5000,
								autorestart: true
						 });
					 });
				</script>
				<div class="clear"></div>

				<?php if($this->countModules('breadcrumb')) : ?>
				<div id="breadcrumb" class="clear"><jdoc:include type="modules" name="breadcrumb" /></div>
				<?php endif; ?>	
            </div>
        </div>
    </div>
    <!-- END OF HEADER ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <div class="clear"></div>
    <!-- CONTENT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->     
    <div id="content">
    <div class="clear"></div>		
        <!-- COLUMN LEFT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
        <?php if($this->countModules('left')) : ?>
		<div id="colleft">
			<jdoc:include type="modules" name="top" style="xhtml" />
			<jdoc:include type="modules" name="left" style="xhtml" />
		</div>
        <?php endif; ?>
        <!-- END OF COlUMN LEFT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
		
		<!-- COLUMN MAIN ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->		
		<div id="colmain">
			<jdoc:include type="message" />
			<div class="clear"></div>
			<jdoc:include type="component"  />

			<!-- GOOGLLE ADSENSE UNIT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
			<div id="adsense">
				<!-- HERE SHOULD BE PLACED GOOGLE ADSENSE CODE ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
				<a href="https://www.google.com/adsense/v3/home"> 
					<img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/728x90ad.png" alt="Google AdSense"/> 
				</a> 
			</div>
			<!-- END GOOGLLE ADSENSE UNIT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
									
			<?php if($this->countModules('user1 or user2')) : ?>
			<div class="nopad user1user2">
				<?php if($this->countModules('user1') && !$this->countModules('user2')) : ?>
				<div class="clear separator_15"></div>
				<div class="left" style="width:100%">
					<jdoc:include type="modules" name="user1" style="xhtml" />
				</div>
				<?php endif; ?>
				
				<?php if($this->countModules('user1 and user2')) : ?>
				<div class="clear"></div>
				<div class="clear separator_15"></div>
				<div class="left" style="width:49%">
					<jdoc:include type="modules" name="user1" style="xhtml" />
				</div>
				<div class="right" style="width:49%">
					<jdoc:include type="modules" name="user2" style="xhtml" />
				</div>
				<div class="clear"></div>
				<?php endif; ?>
				
				<?php if(!$this->countModules('user1') && $this->countModules('user2')) : ?>
				<div class="left" style="width:100%">
					<jdoc:include type="modules" name="user2" style="xhtml" />
				</div>
				<?php endif; ?>
			</div>
			<?php endif; ?>
			
			<?php if($this->countModules('user6')) : ?>
			<div class="separator clear"></div>
			<div class="left">
				<jdoc:include type="modules" name="user6" style="xhtml" />
			</div>
			<?php endif; ?>

			<div class="clear"></div>
										
		</div>
		 <!-- END OF COLUMN MAIN ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->  
	</div>
     <!-- END OF CONTENT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <div class="clear"></div>

    <!-- FOOTER ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    
	<div id="footer">
		<div id="footercontent">
			<div id="footercol_left">
			</div>
			<div id="footercolright">
				<div id="footermenu">
					<jdoc:include type="modules" name="user5" style="xhtml" />
				</div>
				<div id="footertrademark">
					<jdoc:include type="modules" name="footer" style="xhtml"/>
					<a href="http://www.asdesigning.com/" target="_blank" class="trademark" onmouseout="swapImgRestore()" 
						onmouseover="swapImage('trade','','<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/asdesigning_on.png',1)">
						<img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/asdesigning_of.png" name="trade" id="trade" alt="AS Designing"/>
					</a>
				</div>
			</div>
		</div>
	</div>

    <!-- END OF FOOTER ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->

</body>
</html>